package com.njcn.mapper.configuration;

import com.njcn.pojo.configuration.NodeInformation;
import com.njcn.pojo.excelBody.NodeInformationExcelBody;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface NodeInformationMapper  extends Mapper<NodeInformation>{
	Long selectMaxIndex();

	List<NodeInformation> testName(@Param("nodeName") String nodeName, @Param("nodeIndex") Long nodeIndex);

	NodeInformation setIp(@Param("nodeIndex")int nodeIndex);

	//获取该表所有数据，提供excel导出
    List<NodeInformationExcelBody> selectAllExcelData();

    NodeInformation selByName(@Param("nodeName")String nodeName);

    //获取最大排序号
	Integer getMaxOrder();
}
